"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-310/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D90F0FF40>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103C040>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103C0D0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103C160>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103C1F0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103C280>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103C310>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103C3A0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103C430>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103C4C0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103C550>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103C5E0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103C670>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103C700>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103C790>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103C820>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103C8B0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103C940>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103C9D0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103CA60>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103CAF0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103CB80>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103CC10>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103CCA0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103CDC0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103CD30>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103CE50>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103CEE0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103CF70>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103D000>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103D090>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103D120>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103D1B0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103D240>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103D2D0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103D360>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103D3F0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103D480>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103D510>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103D5A0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103D630>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103D6C0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103D750>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103D7E0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103D870>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103D900>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103D990>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103DA20>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103DAB0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103DB40>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103DBD0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103DC60>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103DCF0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103DD80>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103DE10>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103DEA0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103DF30>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103DFC0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103E050>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103E0E0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103E170>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103E200>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103E290>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103E320>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103E3B0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103E560>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103E440>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103E5F0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103E680>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103E710>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103E7A0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103E830>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103E950>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103E8C0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103E9E0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103EA70>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103EB00>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103EC20>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103EB90>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103ECB0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103ED40>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103EDD0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103EE60>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103EEF0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000023D9103EF80>)]
name: str = 'fr_HOCCN'
